net_peerCount - AVAX

Example code for the net_peerCount JSON-RPC method. Complete guide on how to use net_peerCount JSON-RPC in GetBlock Web3 documentation.

Returns the number of peers connected to the C-Chain node, as a hex string.

Parameters

  • None

Request Example

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/ext/bc/C/rpc' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "net_peerCount",
    "params": [],
    "id": "getblock.io"
}'

Response Example

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "0x14"
}

Response Parameters

Field
Type
Description

result

string

Number of peers connected (hex)

Use Cases

  • Node health dashboards

  • Detecting isolated or poorly-connected nodes

Error Handling

Status Code
Error Message
Cause

404

Not found

Missing or invalid <ACCESS-TOKEN>

-32602

Invalid params

Request parameters are missing or malformed

429

Too Many Requests

Rate limit exceeded for your plan

SDK Integration

Last updated

Was this helpful?